Index: /ipk/source/system_oldaudioelf_1_0/CONTROL/control
===================================================================
--- /ipk/source/system_oldaudioelf_1_0/CONTROL/control	(revision 2454)
+++ /ipk/source/system_oldaudioelf_1_0/CONTROL/control	(revision 2454)
@@ -0,0 +1,10 @@
+Package: enigma2-plugin-system-audioelf.dtsdownmix
+Version: 1.0
+Architecture: sh4
+OE: old audio.elf to use DTS downmix
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: old audio.elf to use DTS downmix
Index: /ipk/source/system_oldaudioelf_1_0/CONTROL/postinst
===================================================================
--- /ipk/source/system_oldaudioelf_1_0/CONTROL/postinst	(revision 2454)
+++ /ipk/source/system_oldaudioelf_1_0/CONTROL/postinst	(revision 2454)
@@ -0,0 +1,35 @@
+#!/bin/sh
+TMP=/tmp/.system
+
+echo "successfully installed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+
+echo "---------------------------------"
+echo "-----------PLEASE READ-----------"
+echo "---------------------------------"
+echo "now you can choose between old and new audio.elf"
+echo "just open AAF Panel -> SETUP -> Autostart -> GENERIC CONFIG and have a look at oldaudiofw"
+echo "here you can switch between the firmwares..."
+echo "change the parameter and restart your box"
+echo "---------------------------------"
+echo "---------------------------------"
+echo "---------------------------------"
+echo ""
+echo "---------------------------------"
+echo "-----------Bitte lesen-----------"
+echo "---------------------------------"
+echo "Jetzt kannst du zwischen alter und neuer audio.elf waehlen"
+echo "oeffne AAF Panel -> Einstellungen -> Autostart -> allg Parameter"
+echo "und schaue nach dem Eintrag oldaudiofw"
+echo "hier kannst zu zwischen beiden Firmwares umschalten"
+echo "aendere den Parameter und starte die Box neu"
+echo "---------------------------------"
+echo "---------------------------------"
+echo "---------------------------------"
+exit 0
Index: /ipk/source/system_oldaudioelf_1_0/CONTROL/postrm
===================================================================
--- /ipk/source/system_oldaudioelf_1_0/CONTROL/postrm	(revision 2454)
+++ /ipk/source/system_oldaudioelf_1_0/CONTROL/postrm	(revision 2454)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.system
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+fi
+exit 0
Index: /ipk/source/system_oldaudioelf_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/system_oldaudioelf_1_0/CONTROL/preinst	(revision 2454)
+++ /ipk/source/system_oldaudioelf_1_0/CONTROL/preinst	(revision 2454)
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+TMP=/tmp/.system
+echo "syncing disk"
+sync
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 50`
+	SIZE=2680
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		echo "you can find the same IPK for your swapstick in swapsystem"
+		exit 1
+	else
+		echo ok
+	fi
+fi   
+echo "installing optional audio.elf ..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: /ipk/source/system_oldaudioelf_1_0/CONTROL/prerm
===================================================================
--- /ipk/source/system_oldaudioelf_1_0/CONTROL/prerm	(revision 2454)
+++ /ipk/source/system_oldaudioelf_1_0/CONTROL/prerm	(revision 2454)
@@ -0,0 +1,11 @@
+#!/bin/sh
+TMP=/tmp/.system
+echo "syncing disk"
+sync
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	echo freespace size $FREE kb
+fi
+echo "removing old audio.elf"
+exit 0
